Permalink
Browse files

Try to be clearer with error message about -p overlay.

  • Loading branch information...
kolmodin committed Mar 5, 2011
1 parent 186b44b commit 54cac55a2dfe1f9178fd411c744f5fa3a26e7c0d
Showing with 1 addition and 1 deletion.
  1. +1 −1 Error.hs
View
@@ -55,7 +55,7 @@ hackPortShowError err = case err of
CabalParseFailed file reason -> "Error while parsing cabal file '"++file++"': "++reason
BashNotFound -> "The 'bash' executable was not found. It is required to figure out your portage-overlay. If you don't want to install bash, use '-p path-to-overlay'"
BashError str -> "Error while guessing your portage-overlay. Either set PORTDIR_OVERLAY in /etc/make.conf or use '-p path-to-overlay'.\nThe error was: \""++str++"\""
- MultipleOverlays overlays -> "You have the following overlays available: '"++unwords overlays++"'. Please choose one by using '-p path-to-overlay'"
+ MultipleOverlays overlays -> "You have the following overlays available: '"++unwords overlays++"'. Please choose one by using 'hackport -p path-to-overlay' <command>"
NoOverlay -> "You don't have PORTDIR_OVERLAY set in '/etc/make.conf'. Please set it or use '-p path-to-overlay'"
UnknownVerbosityLevel str -> "The verbosity level '"++str++"' is invalid. Please use debug,normal or silent"
InvalidServer srv -> "Invalid server address, could not parse: " ++ srv

0 comments on commit 54cac55

Please sign in to comment.